<?php
if (!defined('ABSPATH')) {
    exit;
}
$yellow = AutocerfaMisc::color1();
$blue   = AutocerfaMisc::color2();
$black  = AutocerfaMisc::color3();

$selected_single_page = (int) get_option('autocerfa_single_page');
?>
<style>
    .autocerfa-car-item .autocerfa-thumb-content .autocerfa-car-badge a {
        background-color: #f4c23d;
        color: #1e1e1e;
    }

    .autocerfa-car-item .autocerfa-down-content span {
        color: <?=$blue ?>;
    }

    .autocerfa-car-item .autocerfa-down-content ul li .autocerfa-item:hover {
        background-color: <?=$yellow ?>
    }

    .autocerfa-car-item .autocerfa-down-content ul li .autocerfa-item i {
        color: <?=$black ?>
    }

    .autocerfa-car-item .autocerfa-down-content ul li .autocerfa-item:hover i {
        color: <?=$black ?>
    }

    .autocerfa-car-item .autocerfa-down-content ul li .autocerfa-item:hover p {
        color: <?=$black ?>
    }

    .autocerfa-on-listing .autocerfa-car-item .autocerfa-down-content span {
        color: <?=$blue ?>;
    }

    .autocerfa-on-listing .autocerfa-car-item .autocerfa-down-content p a {
        color: <?=$yellow ?>;
    }

    .autocerfa-on-listing .autocerfa-car-item .autocerfa-down-content ul li .autocerfa-item:hover {
        background-color: <?=$yellow ?>
    }

    .autocerfa-on-listing .autocerfa-car-item .autocerfa-down-content ul li .autocerfa-item:hover i {
        color: <?=$black ?>
    }

    .autocerfa-on-listing .autocerfa-car-item .autocerfa-down-content ul li .autocerfa-item:hover p {
        color: <?=$black ?>
    }

    .pagination-content ul li a {
        color: <?=$black ?>;
        background-color: <?=$yellow ?>;
    }

    .pagination-content ul li a:hover {
        color: #fff;
        background-color: <?=$blue ?>
    }

    .pagination-content ul li.active a {
        color: #fff;
        background-color: <?=$blue ?>
    }

    /*sidebar css color here*/
    .autocerfa-sidebar-widgets .autocerfa-sidebar-widget .autocerfa-search-content {
        background-color: <?=$blue ?>;
        -webkit-box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.15);
        box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.15);
        border-top: 3px solid<?=$yellow ?>
    }

    .autocerfa-sidebar-widgets .autocerfa-sidebar-widget .autocerfa-search-content .autocerfa-search-heading .autocerfa-icon i {
        color: <?=$black ?>;
        background-color: <?=$yellow ?>;
    }

    .autocerfa-sidebar-widgets .autocerfa-sidebar-widget .autocerfa-search-content .autocerfa-search-heading .autocerfa-icon i:after {
        background-color: <?=$yellow ?>;
    }

    .autocerfa-sidebar-widgets .autocerfa-sidebar-widget .autocerfa-search-content .autocerfa-search-form input {
        background-color: transparent;
        border: 1px solid #eee;
        color: #fff;
    }

    .autocerfa-sidebar-widgets .autocerfa-sidebar-widget .autocerfa-search-content .autocerfa-search-form input:focus {
        border-color: <?=$yellow ?>
    }

    .autocerfa-sidebar-widgets .autocerfa-sidebar-widget .autocerfa-search-content .autocerfa-search-form select {
        background-color: transparent;
        color: #fff;
        border: 1px solid #eee;
    }

    .autocerfa-sidebar-widgets .autocerfa-sidebar-widget .autocerfa-search-content .autocerfa-search-form select option {
        color: <?=$black ?>
    }

    .autocerfa-sidebar-widgets .autocerfa-sidebar-widget .autocerfa-search-content .autocerfa-search-form select:focus {
        border-color: <?=$yellow ?>
    }

    .autocerfa-secondary-button a {
        background: <?=$yellow ?>;
        color: <?=$black ?>;
    }

    .autocerfa-secondary-button a:hover {
        color: <?=$black ?>;
        background-color: #fff
    }

    .autocerfa-secondary-button .autocerfa-search {
        width: 100%;
        background: <?=$yellow ?>;
        color: <?=$black ?>;
    }

    .autocerfa-secondary-button .autocerfa-search:hover {
        color: <?=$black ?>;
        background-color: #fff
    }

    .autocerfa-car-badge {
        background-color: #f4c23d;
        color: #1e1e1e;
    }

    .autocerfa-car-item:hover {
        border-bottom: 3px solid<?=$blue ?>;
    }
</style>

<?php

$search_max   = isset($_GET['max-price']) ? (int) $_GET['max-price'] : null;
$search_min   = isset($_GET['min-price']) ? (int) $_GET['min-price'] : null;
$search_mark  = isset($_GET['mark']) ? sanitize_text_field($_GET['mark']) : null;
$search_model = isset($_GET['model']) ? sanitize_text_field($_GET['model']) : null;
$search_fuel  = isset($_GET['fuel']) ? sanitize_text_field($_GET['fuel']) : null;
$search_trans = isset($_GET['transmission']) ? sanitize_text_field($_GET['transmission']) : null;
?>
<div class="bootstrap-wrapper autocerfa_main_wrapper">
    <div class="container autocerfa_container">
        <div class="autocerfa-grid-car-wrapper">
            <div class="row">
                <div class="col-md-8">
                    <div class="row">
                        <?php
                        if (!empty($leads)):
                            foreach ($leads as $lead) :
                                $images = $lead->images;
                                $first_image = reset(array_filter($images));

                                $url = AutocerfaMisc::url($lead);

                                $badge_label = '';
                                if (!empty($lead->badge_id)) {
                                    $badge = (new AutocerfaBadge())->get_by_id($lead->badge_id);
                                    if (!empty($badge)) {
                                        $badge_label = sprintf('<div class="autocerfa-car-badge" style="background: %s; color: %s">%s</div>',
                                            $badge->background_color, $badge->text_color, $badge->label);
                                    }
                                }
                                ?>
                                <div class="col-md-6">
                                    <div class="autocerfa-car-item">
                                        <div class="autocerfa-thumb-content">
                                            <?= $badge_label ?>
                                            <div class="autocerfa-thumb-inner">
                                                <a href="<?= esc_url($url) ?>"><img
                                                    src="<?= esc_attr($first_image['thumbnails']['375-345']['url']) ?>"
                                                    alt=""></a>
                                                </div>
                                            </div>
                                            <div class="autocerfa-down-content autocerfa-down-content-grid">
                                                <a href="<?= esc_url($url) ?>"><h4><?= esc_attr($lead->title) ?></h4></h4>
                                                </a>
                                                <span><?= esc_attr($lead->price) ?> &euro;</span>
                                                <div class="autocerfa-line-dec"></div>
                                                <p><?php
                                                echo autocerfa_read_more(esc_attr($lead->description), $url); ?></p>
                                                <ul class="autocerfa-car-info">
                                                    <?php if (!empty($lead->reg_date)): ?>
                                                        <li>
                                                            <div class="autocerfa-item"><i class="fa-regular fa-calendar-days"></i>
                                                                <p><?= esc_attr(explode(" ", $lead->reg_date)[2]) ?></p>
                                                            </div>
                                                        </li>
                                                    <?php endif ?>
                                                    <?php if (!empty($lead->gear_box)): ?>
                                                        <li>
                                                            <div class="autocerfa-item"><i class="fa-solid fa-gauge"></i>
                                                                <p><?= esc_attr($lead->gear_box) ?> </p>
                                                            </div>
                                                        </li>
                                                    <?php endif; ?>
                                                    <?php if (!empty($lead->milage)) : ?>
                                                        <li>
                                                            <div class="autocerfa-item"><i class="fa-sharp fa-solid fa-road"></i>
                                                                <p><?= esc_attr($lead->milage).'km' ?></p>
                                                            </div>
                                                        </li>
                                                    <?php endif; ?>
                                                    <?php if (!empty($lead->energy)) : ?>
                                                        <li>
                                                            <div class="autocerfa-item"><i class="fa-solid fa-gas-pump"></i>
                                                                <p><?= esc_attr($lead->energy) ?></p>
                                                            </div>
                                                        </li>
                                                    <?php endif; ?>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>

                                <?php endforeach;
                            else:
                                ?>
                                <div class="col-md-12">
                                    <p class='no-result-message'><?php _e('Sorry, we don’t have any cars according your criteria, try something else',
                                    'autocerfa-connector') ?></p>
                                </div>
                            <?php endif ?>
                            <div class="col-md-12">
                                <div class="page-numbers">
                                    <div class="pagination-content">
                                        <?= (new AutocerfaPaginator($totalStock, $rowPerPage, $currentPage,
                                            $urlPattern))->toHtml() ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="autocerfa-sidebar-widgets">
                                <?php
                                echo get_view(AUTOCERFA_VIEW_PATH.'front/cars/sidebar.php', compact('models', 'marks'))
                                ?>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
